虚拟机兼容性决定虚拟机可用的虚拟硬件,该虚拟硬件与主机上可用的物理硬件相对应。您可以升级兼容性级别,使虚拟机与主机上正在运行的最新版本 ESXi 兼容。

开始之前

  • 创建虚拟机的备份或快照。请参见使用快照管理虚拟机

  • 升级 VMware Tools。在运行 Microsoft Windows 的虚拟机上,如果在升级 VMware Tools 之前升级兼容性,则虚拟机可能会丢失其网络设置。

  • 验证所有 .vmdk 文件是否对 VMFS3、VMFS5 或 NFS 数据存储上的 ESXi 主机可用。

  • 验证虚拟机是否存储在 VMFS3、VMFS5 或 NFS 数据存储上。

  • 验证虚拟机的兼容性设置是否并未设置为支持的最新版本。

  • 确定您希望虚拟机与之兼容的 ESXi 版本。请参见vSphere 虚拟机管理

关于此任务

有关虚拟机硬件版本和兼容性的信息,请参见 vSphere 虚拟机管理

过程

  1. VMware Host Client 清单中单击虚拟机
  2. 在列表中右键单击某个虚拟机,然后从下拉菜单中选择升级虚拟机兼容性
  3. 选择支持的最新版本,然后单击升级